* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
    font-family: 'jost', sans-serif;
    list-style: none;
    text-decoration: none;
}

.container {
    max-width: 1100px;
    width: 100%;
    margin: 0 auto;
    padding: 80px 12px;
}
.header-container {
    max-width: 1100px;
    width: 100%;
    margin: 0 auto;
    padding: 0 12px;
}
/* reviews? */
a {
    text-decoration: none;
}

/* navigatiebar */
header {
    position: fixed;
    width: 100%;
    top: 0;
    left: 50%;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 16px 0;
    transform: translateX(-50%);
}

.hidden {
    display: none !important;
}

.logo img {
    max-width: 120px;
    height: auto;
}

.navmenu {
    display: flex;
}

.navmenu a {
    color: #2c2c2c;
    font-size: 20px;
    text-transform: capitalize;
    padding: 10px 20px;
    font-weight: 400;
    transition: all .42s ease;
}

.navmenu a:hover {
    color: #EE1C47;
    cursor: pointer;
}

.nav-icon {
    display: flex;
    align-items: center;
}

.nav-icon,
i {
    margin-right: 20px;
    color: #2c2c2c;
    font-size: 25px;
    font-weight: 400;
    transition: all .42s ease;
}

.nav-icon,
i:hover {
    transform: scale(1.1);
    color: #EE1C47;
}

#menu-icon {
    font-size: 35px;
    color: #2c2c2c;
    z-index: 10001;
    cursor: pointer;
}



/* homepage  */

.main-home {
    width: 100%;
    height: 100vh;
    background-image: url(../image/banner-3.png);
    background-position: center;
    background-size: cover;
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    align-items: center;
}

.main-text h5 {
    color: #EE1C47;
    font-size: 26px;
    text-transform: capitalize;
    font-weight: 500;
}

.main-text h1 {
    color: #000;
    font-size: 65px;
    text-transform: capitalize;
    line-height: 1.1;
    font-weight: 600;
    margin: 6px 0 10px;
}

.main-text p {
    color: #333c56;
    font-size: 20px;
    font-style: italic;
    margin-bottom: 20px;
}

.main-btn {
    display: inline-block;
    color: #111;
    font-size: 16px;
    font-weight: 500;
    text-transform: capitalize;
    border: 2px solid #111;
    padding: 12px 25px;
    transition: all .42s ease;
}

.main-btn:hover {
    background-color: #000;
    color: #fff;
}

.main-btn i {
    vertical-align: middle;
}

.down-arrow {
    position: absolute;
    top: 85%;
    right: 11%;
}

.down i {
    font-size: 30px;
    color: #2c2c2c;
    border: 2px solid #2c2c2c;
    border-radius: 50%;
    padding: 12px 12px;
}

.down i:hover {
    background-color: #2c2c2c;
    color: #fff;
    transition: all .42s ease;
}


/* navbar stickey */
header.stickey {
    background: #fff;
    box-shadow: 0px 0px 10px rgb(0 0 0/ 10%);
    padding: 16px 12px;
}

/* trending-section-css */
.center-text h2 {
    color: #111;
    font-size: 28px;
    text-transform: capitalize;
    text-align: center;
    margin-bottom: 30px;
}

.center-text span {
    color: #EE1C47;
}

.products {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(260px, auto));
    gap: 2rem;
}

.row {
    position: relative;
    transition: all .40s;
}

.row img {
    width: 100%;
    height: auto;
    transition: all .40s;
    border-radius: 8px;
}

.row img:hover {
    transform: scale(0.9);
}

.product-text h5 {
    position: absolute;
    top: 13px;
    left: 13px;
    color: #fff;
    font-size: 12px;
    font-weight: 500;
    text-transform: uppercase;
    background-color: #27b737;
    padding: 3px 10px;
    border-radius: 2px;
}

.heart-icon {
    position: absolute;
    right: 0;
    font-size: 20px;
}

.heart-icon:hover {
    color: #EE1C47;
}

.ratting i {
    color: #FF8C00;
    font-size: 18px;
}

.price h4 {
    color: #111;
    font-size: 16px;
    text-transform: capitalize;
    font-weight: 400;
}

.price p {
    color: #151515;
    font-size: 14px;
    font-weight: 600;
    padding-bottom: 24px;
}

/* reviews */

.client-reviews {
    background-color: #F3F4F6;
}

.reviews {
    text-align: center;
}

.reviews h3 {
    color: #111;
    font-size: 25px;
    text-transform: capitalize;
    text-align: center;
    font-weight: 700;
}

.reviews img {
    width: 100px;
    height: auto;
    border-radius: 50px;
    margin: 10px 0;
}

.reviews p {
    color: #707070;
    font-size: 16px;
    font-weight: 400;
    line-height: 25px;
    margin-bottom: 10px;
}

.reviews h2 {
    font-size: 22px;
    color: #000;
    font-weight: 400;
    text-transform: capitalize;
    margin-bottom: 2px;
}

/* new updates  */

.up-center-text h2 {
    text-align: center;
    color: #111;
    font-size: 25px;
    text-transform: capitalize;
    font-weight: 700;
    margin-bottom: 30px;
}

.cart img {
    width: 380px;
    height: auto;
    border-radius: 5px;
}

.update-cart {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(380px, auto));
    gap: 1rem;
}

.cart h5 {
    color: #636872;
    font-size: 14px;
    text-transform: capitalize;
    font-weight: 500;
}

.cart h4 {
    color: #111;
    font-size: 20px;
    font-weight: 600;
}

.cart p {
    color: #707070;
    font-size: 18px;
    max-width: 380px;
    line-height: 25px;
    margin-bottom: 12px;
}

.cart h6 {
    color: #151515;
    font-size: 16px;
    font-weight: 500;
}


/* contact section & footer */

.contact {
    background-color: #F3F4F6;
}

.contact-info {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(160px, auto));
    gap: 3rem;
}

.first-info img {
    width: 140px;
    height: auto;
}

.contact-info h4 {
    color: #212529;
    font-size: 20px;
    text-transform: uppercase;
    margin-bottom: 10px;
}

.contact-info p {
    color: #565656;
    font-size: 18px;
    font-weight: 400;
    text-transform: capitalize;
    line-height: 1.5;
    margin-bottom: 10px;
    cursor: pointer;
    transition: all .42s;
}

.contact-info p :hover {
    color: #EE1C47;
}

.social-icon i {
    color: #565656;
    margin-right: 10px;
    font-size: 26px;
    transition: all .42s;
}

.social-icon i:hover {
    transform: scale(1.3);
}

.end-text {
    background-color: #edfff1;
    text-align: center;
    padding: 20px;
}

.end-text p {
    color: #111;
    text-transform: capitalize;
}


/* products  */

.trending-products {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 0px 0px;
}

.product-fotos img {
    margin-top: 74px;
    width: 380px;
    height: auto;
    transition: all .40s;
    border-radius: 8px;
}

.products-text h2 {
    margin-top: 4rem;
    color: #111;
    font-size: 28px;
    text-transform: capitalize;
}

.products-text span {
    color: #EE1C47;
}

.products-text h5 {
    margin-top: 2rem;
    color: #111;
    font-size: 26px;
    text-transform: capitalize;
    font-weight: 500;
    margin-bottom: 6px;
}

.products-text p {
    color: #333c56;
    font-size: 16px;
    font-style: italic;
    margin-bottom: 20px;
}

.ratting-product i {
    color: #FF8C00;
    font-size: 18px;
}


/* reviews products */

#testimonials {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
}

.testimonial-heading {
    letter-spacing: 1px;
    margin: 30px 0px;
    padding: 10px 20px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.testimonial-heading h1 {
    font-size: 2.2rem;
    font-weight: 500;
    background-color: #202020;
    color: #ffffff;
    padding: 10px 20px;
}

.testimonial-heading span {
    font-size: 1.3rem;
    color: #252525;
    margin-bottom: 10px;
    letter-spacing: 2px;
    text-transform: uppercase;
}

.testimonial-box-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 100%;
}

.testimonial-box {
    width: 500px;
    box-shadow: 2px 2px 30px rgba(0, 0, 0, 0.1);
    background-color: #ffffff;
    padding: 20px;
    margin: 15px;
    cursor: pointer;
}

.profile-img {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    overflow: hidden;
    margin-right: 10px;
}

.profile-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.profile {
    display: flex;
    align-items: center;
}

.name-user {
    display: flex;
    flex-direction: column;
}

.name-user strong {
    color: #3d3d3d;
    font-size: 1.1rem;
    letter-spacing: 0.5px;
}

.name-user span {
    color: #979797;
    font-size: 0.8rem;
}

.reviews i {
    color: #FF8C00;
}

.box-top {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 20px;
}

.client-comment p {
    font-size: 0.9rem;
    color: #565656;
}


.testimonial-box:hover {
    transform: translateY(-10px);
    transition: all ease 0.3s;
}

/* products add to cart */

.trending-products__atc {
    width: 10rem;
    height: auto;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #E64848;
    color: #FFFDE3;
    box-shadow: 0 0 5rem 0 rgba(0, 0, 0, 0.6);
    font-size: 130%;
    font-weight: 400;
    border-radius: 0.5rem
}

.bx {
    border: none;
    width: fit-content;
    height: auto;
    justify-content: center;
    align-items: center;
    position: relative;
    background: none;
    margin: 0 8px;
}

.trending-products__atc i{
    color: #FFFDE3;
}



/* shopping cart */

.modal {
    width: 30rem;
    height: 20rem;
    position: fixed;
    top: 30%;
    left: 35%;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #F6F6F6;
    box-shadow: 0 0 5rem 0 rgba(0, 0, 0, 0.6);
    color: #EE1C47;
    font-size: 130%;
    font-weight: 400;
    border-radius: 0.5rem;
}


/*  shopping cart icon / left arrow  */
.shoppingCart {
    border: none;
    width: fit-content;
    height: auto;
    justify-content: center;
    align-items: center;
    position: relative;
    background: none;
    margin: 0 8px;
}

.checkoutButton__tobasket i {
    margin-right: 0;
}

.shoppingCart__message {
    position: absolute;
    top: -6px;
    right: -5px;
    border-radius: 50%;
    border: 20px #F3F4F6;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 14px;
}

.shoppingCart:hover {
    cursor: pointer;
}


/* searchbar nav */

.searchbar {
    display: flex;
    justify-content: flex-end;
    position: relative;
}

.searchBar__input {
    height: 18px;
    font-size: 12px;
    border-radius: 0.5rem;
    padding: 18px 32px;
    box-shadow: 0 0.1rem 0.3rem rgba(247, 39, 108, 0.3);
}

.searchBar__glass {
    width: 56px;
    justify-content: center;
    align-items: center;
    font-size: 100%;
    padding-left: 2px;
    padding-top: 8px;
}

/*  animatie  */
.a-popup {
    animation-name: popup;
    animation-duration: 0.8s;
    animation-fill-mode: backwards;
    animation-timing-function: cubic-bezier(0.175, 0.885, 0.32, 1.275);
}



/* responsive css */

@media (max-width: 1060px) {
    .testimonial-box {
        width: 45%;
        padding: 10px;
    }
}

@media (max-width:890px) {
    header {
        padding: 20px 3%;
        transition: .4s;
    }
}

@media (max-width:630px) {
    .main-text h1 {
        font-size: 50px;
        transition: .4s;
    }

    .main-textp {
        font-size: 18px;
        transition: .4s;
    }

    .main-btn {
        padding: 10px 20px;
        transition: .4s;
    }
}

@media (max-width:750px) {
    .header-container {
        max-width: 100vw;
        width: 100vw;
    }
    header {
        left: 0;
        transform: unset;
    }
    .nav-icon, i {
        margin-right: 0;
    }
    .navmenu {
        position: absolute;
        top: 100%;
        right: -100%;
        width: 300px;
        height: 130vh;
        background: #edfff1;
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 120px 30px;
        transition: all .42s;
    }

    .navmenu a {
        display: block;
        margin: 18px 0px;
    }

    .navmenu.open {
        right: 0;
    }

    .testimonial-box {
        width: 100%;
    }

    .testimonial-heading h1 {
        font-size: 1.4rem;
    }

    .searchbar{
        display: none;
    }
}

@media (max-width:340px) {
    .box-top {
        flex-wrap: wrap;
        margin-bottom: 10px;
    }

    .reviews {
        margin-top: 10px;
    }

    ::selection {
        color: #ffffff;
        background-color: #252525;
    }
}